Bug 20062 - Remove support for Internet Explorer 7 in the staff client
Summary: Remove support for Internet Explorer 7 in the staff client
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Browser compatibility (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-22 15:30 UTC by Owen Leonard
Modified: 2018-02-16 01:08 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Internet Explorer 7, released in 2006, is no longer supported by Koha.


Attachments
Bug 20062: Remove support for Internet Explorer 7 in the staff client (24.74 KB, patch)
2018-01-22 15:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20062: Remove support for Internet Explorer 7 in the staff client (24.80 KB, patch)
2018-01-23 08:40 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20062: Remove support for Internet Explorer 7 in the staff client (24.88 KB, patch)
2018-02-04 14:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-22 15:30:23 UTC
There are several templates in the staff client which include a JavaScript shim adding functionality to Internet Explorer < version 9, required for the search result browser feature:

<!--[if lt IE 9]>
<script type="text/javascript" src="[% interface %]/lib/shims/json2.min.js"></script>
<![endif]-->

Internet Explorer 7 was released in 2006 and should not be actively supported. The templates should be modified to omit this block, and the shim JS should be removed.
Comment 1 Owen Leonard 2018-01-22 15:56:29 UTC
Created attachment 70799 [details] [review]
Bug 20062: Remove support for Internet Explorer 7 in the staff client

This patch removes JavaScript files which were added to support Internet
Explorer 7. Templates which included the files have been modified
accordingly.

To test, apply the patch and clear your browser cache if necessary.

Perform a catalog search in the staff client and click through to view
one of the search results. The search results navigation menu in the
left-hand sidebar should work correctly.
Comment 2 Claire Gravely 2018-01-23 08:40:55 UTC
Created attachment 70818 [details] [review]
Bug 20062: Remove support for Internet Explorer 7 in the staff client

This patch removes JavaScript files which were added to support Internet
Explorer 7. Templates which included the files have been modified
accordingly.

To test, apply the patch and clear your browser cache if necessary.

Perform a catalog search in the staff client and click through to view
one of the search results. The search results navigation menu in the
left-hand sidebar should work correctly.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-01-30 06:57:42 UTC
Should we add a note for the release notes here?
Comment 4 Katrin Fischer 2018-02-04 14:57:17 UTC
Created attachment 71200 [details] [review]
Bug 20062: Remove support for Internet Explorer 7 in the staff client

This patch removes JavaScript files which were added to support Internet
Explorer 7. Templates which included the files have been modified
accordingly.

To test, apply the patch and clear your browser cache if necessary.

Perform a catalog search in the staff client and click through to view
one of the search results. The search results navigation menu in the
left-hand sidebar should work correctly.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-02-05 13:00:39 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-16 01:08:02 UTC
Awesome work all! Enhancement, not backported to stable.